#ifndef ENVIRON_H_
#define ENVIRON_H_

#include <string>
#include "mspcore_api.h"

namespace Msp {

MSPCORE_API std::string getenv(const std::string &);
MSPCORE_API void setenv(const std::string &, const std::string &);
MSPCORE_API void unsetenv(const std::string &);

} // namespace Msp

#endif
