#include "errorreporter.h"

namespace Msp {
namespace Debug {

ErrorReporter *ErrorReporter::_current = nullptr;

ErrorReporter::ErrorReporter():
	_prev(_current)
{
	_current = this;
}

ErrorReporter::~ErrorReporter()
{
	_current = _prev;
}

const ErrorReporter *ErrorReporter::get_current()
{
	return _current;
}

} // namespace Debug
} // namespace Msp
