#include <msp/core/except.h>
#include "asset.h"

using namespace std;

namespace Msp {
namespace IO {

void Asset::set_block(bool)
{
	throw unsupported("Asset::set_block");
}

void Asset::set_inherit(bool)
{
	throw unsupported("Asset::set_inherit");
}

size_t Asset::do_write(const char *, size_t)
{
	throw invalid_access(M_WRITE);
}

const Handle &Asset::get_handle(Mode)
{
	throw unsupported("Asset::get_handle");
}

} // namespace IO
} // namespace Msp
