#ifndef MSP_CORE_NONCOPYABLE_H_
#define MSP_CORE_NONCOPYABLE_H_

#include "mspcore_api.h"

namespace Msp {

class MSPCORE_API NonCopyable
{
protected:
	NonCopyable() = default;
	NonCopyable(const NonCopyable &) = delete;
	NonCopyable &operator=(const NonCopyable &) = delete;
	~NonCopyable() = default;
};

} // namespace Msp

#endif
